--On 18. Oktober 2006 14:55:33 +0200 Nightflyer <[EMAIL PROTECTED]> wrote:

Hi All,
        I've been asked to migrate an ancient Zope server from 2.1.x to the
latest 2.x or 3.x version.

This server only have a couple of applications, both using Z SQL Methods,
DHTML methods and documents, some products and some external methods. They
don't use ZPT or Script (python) at all.

Nobody will promise you that a migration to the latest 2.X version will work. You install a new Zope instance and figure it out own our own. If there are problems, come back. Nobody knows what your application is doing so is bascially a trial-and-error game. Using only DTML and ZSQL methods...does not sound so impossible for a migration...just try it.

I'd like to know if you think that such migration is feasible or if I'll
encounter some problems.

Do you think it is better to migrate to the latest version of the 2.x or
3.x branch?

Zope 2 and Zope 3 are totally incompatible. Stick with the latest 2.X version unless you really want to migrate your code *manually* to the complete new architecture of Zope 3 (Z3 has no ZSQL methods - it has something similar but nothing that is compatible).


Attachment: pgpTOPKhl9xo6.pgp
Description: PGP signature

Zope maillist  -  Zope@zope.org
**   No cross posts or HTML encoding!  **
(Related lists - 
 http://mail.zope.org/mailman/listinfo/zope-dev )

Reply via email to